Page MenuHomePhabricator

Regression: Login form below fold under login prompt on Wiktionary login page
Closed, ResolvedPublic

Description

Login form below fold on Wiktionary and possibly other projects. That suggests this may decrease login rates (it did when the submit button dropped below the fold for Special:Mobileoptions)

Visit https://en.wiktionary.org/wiki/Special:UserLogin?mobileaction=beta&useformat=mobile which forces the use of the core login form to see this.

On the short term we should hide this big chunk of text on mobile screens (either in UserMerge extension or MobileFrontend).
On long term UserMerge will need to be a bit more clever with its placement.

Event Timeline

Jdlrobson updated the task description. (Show Details)
Jdlrobson raised the priority of this task from to High.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 3 2015, 10:21 PM
Jdlrobson renamed this task from Wiktionary login page to Login form below fold on Wiktionary login page.Sep 4 2015, 12:16 AM
Jdlrobson set Security to None.

@KHammerstein what's your take on this? Should we hide the text or move it below the login form or something else?

Just hide it for time being as this is a regression and it wasn't there before.

Jdlrobson renamed this task from Login form below fold on Wiktionary login page to Regression: Login form below fold on Wiktionary login page.Sep 8 2015, 1:18 PM
Jdlrobson updated the task description. (Show Details)Sep 8 2015, 4:50 PM
Jdlrobson added a project: good first bug.
bmansurov moved this task from To Do to Doing on the Reading-Web-Sprint-55-π board.

Change 237123 had a related patch set uploaded (by Bmansurov):
Hide loginform and language links on the login page

https://gerrit.wikimedia.org/r/237123

Legoktm added a subscriber: Legoktm.Sep 9 2015, 5:10 PM

What does this have to do with the UserMerge extension...?

Thanks for the clarification @Legoktm the link to Special:MergeAccount threw me.

Jdlrobson renamed this task from Regression: Login form below fold on Wiktionary login page to Regression: Login form below fold under login prompt on Wiktionary login page.Sep 9 2015, 5:13 PM

(Special:MergeAccount is a CentralAuth thing, fwiw.)

Change 237123 merged by jenkins-bot:
Hide loginform and language links on the login page

https://gerrit.wikimedia.org/r/237123

Jdlrobson moved this task from Backlog to Tech debt on the MobileFrontend board.Sep 10 2015, 8:07 PM

Will sign this off next sprint when I see it in production.

Jdlrobson closed this task as Resolved.

Confirmed as fixed.